## ocaml-merlin 4.7

=== Makefile ===
all: build ocamlmerlin ocamlmerlin-server dot-merlin-reader

build:
	dune build --always-show-command-line

ocamlmerlin ocamlmerlin-server dot-merlin-reader:
	ln -s _build/install/default/bin/$@ ./$@

clean:
	dune clean

test: build
	dune runtest

preprocess:
	dune build --always-show-command-line @preprocess

promote:
	dune promote

.PHONY: all build dev clean test promote

## ocaml-merlin 4.7-413

=== debian/changelog ===
ocaml-merlin (4.7-413-4) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 09:27:46 +0200

ocaml-merlin (4.7-413-3) unstable; urgency=medium

  * Rewrite d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 08 Aug 2023 10:46:40 +0200

ocaml-merlin (4.7-413-2) unstable; urgency=medium

  * Split the package depending on the editor.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 17:14:14 +0200

ocaml-merlin (4.7-413-1) unstable; urgency=medium

  * Initial release (Closes: #820405).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 30 Jun 2023 12:27:10 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml,vim_addon

override_dh_auto_build:
	dune build @all

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	find $(CURDIR)/debian/tmp -name LICENSE -delete
	rm -rf $(CURDIR)/debian/tmp/usr/doc/dot-merlin-reader

override_dh_auto_test:
	# do nothing!

=== debian/watch ===
version=4
https://github.com/ocaml/merlin/tags .*/v?([\d\.-]+).tar.gz

## ocaml-merlin 4.13

=== Makefile ===
--- 
+++ 
@@ -18,4 +18,11 @@
 promote:
 	dune promote
 
-.PHONY: all build dev clean test promote
+bench:
+	merl-an benchmark -p /projects/irmin -s 1 --data=merl-an_bench
+	echo "Top 10 slowest queries:"
+	jq -s "[ (map(.sample_id |= tostring)) + (map(.sample_id |= tostring)) | group_by(.sample_id)[] | select(length > 1) | add ] | sort_by( .responses[0].timing.clock) | reverse | .[:10]" merl-an_bench/query_responses.json merl-an_bench/commands.json
+	echo "Benchmark result:"
+	jq . merl-an_bench/bench.json
+
+.PHONY: all build dev clean test promote bench

## ocaml-merlin 4.13-414+ds

=== debian/changelog ===
ocaml-merlin (4.13-414+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Dec 2023 10:13:44 +0100

ocaml-merlin (4.12-414+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 Oct 2023 08:09:00 +0200

ocaml-merlin (4.11-414+ds-1) unstable; urgency=medium

  * Don't ship generated files.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 25 Sep 2023 13:53:03 +0200

ocaml-merlin (4.10-414-1) unstable; urgency=medium

  * Package new upstream (Closes: #1052234).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Sep 2023 06:21:24 +0200

=== debian/control ===
Source: ocaml-merlin
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml, dh-vim-addon,
               libcsexp-ocaml-dev,
               libfindlib-ocaml-dev,
               libmenhir-ocaml-dev,
               libyojson-ocaml-dev,
               menhir,
               ocaml-dune,
               ocaml-findlib,
               ocaml
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-merlin
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-merlin.git
Homepage: https://ocaml.github.io/merlin

Package: ocaml-merlin
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: editor service to develop in OCaml (common files)
 This package provides an editor service for advanced
 integrated development environment (IDE) in the OCaml
 language both for the vim and emacs editors.
 .
 This is the common files, with vim-ocaml-merlin and
 emacs-ocaml-merlin providing the actual support for your
 favorite editor.

Package: vim-ocaml-merlin
Architecture: any
Depends: ocaml-merlin, vim-python3, ${misc:Depends}, ${vim-addon:Depends}
Description: editor service to develop in OCaml (vim files)
 This package provides an editor service for advanced
 integrated development environment (IDE) in the OCaml
 language both for the vim and emacs editors.
 .
 This is the vim-specific package.

Package: emacs-ocaml-merlin
Architecture: any
Depends: ocaml-merlin, ${misc:Depends}
Description: editor service to develop in OCaml (emacs files)
 This package provides an editor service for advanced
 integrated development environment (IDE) in the OCaml
 language both for the vim and emacs editors.
 .
 This is the emacs-specific package.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,13 @@
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	find $(CURDIR)/debian/tmp -name LICENSE -delete
 	rm -rf $(CURDIR)/debian/tmp/usr/doc/dot-merlin-reader
+	rm -rf $(CURDIR)/debian/tmp/usr/doc/merlin-lib
 
 override_dh_auto_test:
 	# do nothing!
+
+override_dh_auto_clean:
+	dune clean
+	rm -f src/ocaml/preprocess/menhirLib.*
+	rm -f src/ocaml/preprocess/parser_raw.ml src/ocaml/preprocess/parser_raw.mli
+	rm -f src/ocaml/preprocess/parser_raw.cmly

## ocaml-merlin 5.1-502%2Bds

=== debian/changelog ===
ocaml-merlin (5.1-502+ds-2) unstable; urgency=medium

  * Disable an error with recent menhir (Closes: #1080119).
  * Drop obsolete entries from d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Sep 2024 15:42:58 +0200

ocaml-merlin (5.1-502+ds-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Do not hardcode /usr/lib/ocaml

  [ Julien Puydt ]
  * New upstream release (Closes: #1073898).
  * Bump standards-version to 4.7.0.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 06:22:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with ocaml,vim_addon
 
 override_dh_auto_build:
-	dune build @all
+	OCAMLPARAM=_,w=-3 dune build @all
 
 override_dh_auto_install:
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)

## ocaml-merlin 5.1-502+ds

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-ocaml, dh-vim-addon,

## ocaml-merlin 5.2.1-502+ds

=== debian/changelog ===
ocaml-merlin (5.2.1-502+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 27 Sep 2024 20:02:33 +0200

## ocaml-merlin 5.3-502+ds

=== debian/changelog ===
ocaml-merlin (5.3-502+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 Nov 2024 18:29:52 +0100

## ocaml-merlin 5.4.1

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,14 @@
 promote:
 	dune promote
 
-bench:
+bench_disabled:
 	merl-an benchmark -p /projects/irmin -s 1 --data=merl-an_bench
 	echo "Top 10 slowest queries:"
 	jq -s "[ (map(.sample_id |= tostring)) + (map(.sample_id |= tostring)) | group_by(.sample_id)[] | select(length > 1) | add ] | sort_by( .responses[0].timing.clock) | reverse | .[:10]" merl-an_bench/query_responses.json merl-an_bench/commands.json
 	echo "Benchmark result:"
 	jq . merl-an_bench/bench.json
 
-.PHONY: all build dev clean test promote bench
+bench:
+	echo ""
+
+.PHONY: all build dev clean test promote bench bench_disabled

## ocaml-merlin 5.4.1-503+ds

=== debian/changelog ===
ocaml-merlin (5.4.1-503+ds-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 16:03:22 +0100

ocaml-merlin (5.4.1-503+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1093104)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jan 2025 07:37:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_install:
 	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	find $(CURDIR)/debian/tmp -name LICENSE -delete
+	rm -rf $(CURDIR)/debian/tmp/usr/doc/ocaml-index/*.md
 	rm -rf $(CURDIR)/debian/tmp/usr/doc/dot-merlin-reader
 	rm -rf $(CURDIR)/debian/tmp/usr/doc/merlin-lib

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//g,repacksuffix=+ds \
https://github.com/ocaml/merlin/tags .*/v?([\d\.-]+).tar.gz

## ocaml-merlin 5.6

=== Makefile ===
--- 
+++ 
@@ -18,14 +18,11 @@
 promote:
 	dune promote
 
-bench_disabled:
-	merl-an benchmark -p /projects/irmin -s 1 --data=merl-an_bench
+bench:
+	merl-an benchmark -p /projects/irmin,/projects/big-bertha -s 1 --data=merl-an_bench
 	echo "Top 10 slowest queries:"
 	jq -s "[ (map(.sample_id |= tostring)) + (map(.sample_id |= tostring)) | group_by(.sample_id)[] | select(length > 1) | add ] | sort_by( .responses[0].timing.clock) | reverse | .[:10]" merl-an_bench/query_responses.json merl-an_bench/commands.json
 	echo "Benchmark result:"
 	jq . merl-an_bench/bench.json
 
-bench:
-	echo ""
-
-.PHONY: all build dev clean test promote bench bench_disabled
+.PHONY: all build dev clean test promote bench bench

## ocaml-merlin 5.6-503+ds

=== debian/changelog ===
ocaml-merlin (5.6-503+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Dec 2025 10:58:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-ocaml, dh-vim-addon,
+               libalcotest-ocaml-dev,
                libcsexp-ocaml-dev,
                libfindlib-ocaml-dev,
                libmenhir-ocaml-dev,

## ocaml-merlin 5.6-504+ds

=== debian/changelog ===
ocaml-merlin (5.6-504+ds-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 00:35:47 +0100

ocaml-merlin (5.6-504+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Dec 2025 21:50:58 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                menhir,
                ocaml-dune,
                ocaml-findlib,
-               ocaml
+               ocaml (>= 5.4.0)
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-merlin
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-merlin.git
 Homepage: https://ocaml.github.io/merlin

=== debian/watch ===
Version: 5

Source: https://github.com/ocaml/merlin/tags
Matching-Pattern: .*/v?@ANY_VERSION@\.tar\.gz
Dversionmangle: s/\+ds//g
Repacksuffix: +ds
